# Set tax balance

- Sandbox: `POST https://sandbox.payme.io/api/partner/api/sellers/tax-balance`
- Production: `POST https://live.payme.io/api/partner/api/sellers/tax-balance`

## Credentials

- Header `Authorization: Bearer <token>`

Set tax balance for a seller

## Parameters

This endpoint takes no path, query or header parameters.

## Request body

Content type: `application/json`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `socialId` | string | no | Seller social ID |
| `email` | string | no | Seller email |
| `id` | string | no | Seller ID |
| `balance` | number | yes | Balance amount |
| `reportingYear` | integer | no | Reporting year |
| `reportingMonth` | integer | no | Reporting month |

### Request example

No example is documented; this template is generated from the fields — replace the placeholder values.

```json
{
  "socialId": "<socialId>",
  "email": "<email>",
  "id": "<id>",
  "balance": 0,
  "reportingYear": 0,
  "reportingMonth": 0
}
```

## Code samples

### curl

```bash
curl -X POST 'https://sandbox.payme.io/api/partner/api/sellers/tax-balance' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer <YOUR_TOKEN>' \
  --data-raw '{
  "balance": 0
}'
```

### Node.js

```javascript
const response = await fetch("https://sandbox.payme.io/api/partner/api/sellers/tax-balance", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "Bearer <YOUR_TOKEN>",
  },
  body: JSON.stringify({
    "balance": 0
  }),
});

console.log(await response.text());
```

### Python

```python
import requests

response = requests.post(
    "https://sandbox.payme.io/api/partner/api/sellers/tax-balance",
    headers={
        "Authorization": "Bearer <YOUR_TOKEN>",
    },
    json={
        "balance": 0,
    },
)

print(response.text)
```

### PHP

```php
<?php

$body = <<<'BODY'
{
  "balance": 0
}
BODY;

$ch = curl_init('https://sandbox.payme.io/api/partner/api/sellers/tax-balance');
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Content-Type: application/json',
        'Authorization: Bearer <YOUR_TOKEN>',
    ],
    CURLOPT_POSTFIELDS => $body,
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;
```

## Responses

### 200 — Tax balance updated (success)

### 400 — Bad Request (error)

| Field | Type | Description |
| --- | --- | --- |
| `statusCode` | integer | HTTP status code |
| `message` | string | Error message(s) |
| `error` | string | Error type |

```json
{
  "statusCode": 400,
  "message": [
    "Validation failed"
  ],
  "error": "Bad Request"
}
```

### 401 — Unauthorized (error)

| Field | Type | Description |
| --- | --- | --- |
| `error` | string |  |
| `error_description` | string |  |

```json
{
  "error": "unauthorized_client",
  "error_description": "Client authentication failed"
}
```
